curl --request PUT \
--url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"defaultState": "ABSENT",
"overrideState": "ABSENT"
}
'{
"appId": 123,
"defaultState": "ABSENT",
"flagName": "<string>",
"overrideState": "ABSENT"
}Set a feature flag for an app. For example, update the hs-hide-crm-cards flag’s defaultState to ON to hide classic CRM cards from new installs.
curl --request PUT \
--url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"defaultState": "ABSENT",
"overrideState": "ABSENT"
}
'{
"appId": 123,
"defaultState": "ABSENT",
"flagName": "<string>",
"overrideState": "ABSENT"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
The access token received from the authorization server in the OAuth 2.0 flow.
The state that the flag should have if there are no overrides for a particular portal
ABSENT, OFF, ON A flag value that supercedes all other overrides, including portal-level values. Mostly used for things like emergency overrides
ABSENT, OFF, ON successful operation
The ID of the app
The flag state for any portal that doesn't have an override value
ABSENT, OFF, ON The name of the flag
An optional flag value that overrides all others for this flag name and app, including portal-level values
ABSENT, OFF, ON Was this page helpful?